package x33eja.model;

import java.util.LinkedList;
import java.util.List;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;

@Entity
@DiscriminatorValue("student")
public class Student extends Person {

    @ManyToMany
    private List<Course> enrolledInCourses;

    @ManyToOne
    private Teacher supervisor;


    public Student() {
        super();
        enrolledInCourses = new LinkedList();
    }

    public List<Course> getEnrolledInCourses () {
        return enrolledInCourses;
    }

    public void setEnrolledInCourses (List<Course> val) {
        this.enrolledInCourses = val;
    }

    public Teacher getSupervisor () {
        return supervisor;
    }

    public void setSupervisor (Teacher val) {
        this.supervisor = val;
    }
}

